Package com.collibra.dgc.core.api.model.workflow

# Enum Class WorkflowStartEventType

Object
Enum<WorkflowStartEventType>
WorkflowStartEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkflowStartEventType>`, `Constable`

public enum WorkflowStartEventType extends Enum<WorkflowStartEventType>
Enumeration of Workflow event types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSESSMENT_COMPLETED`
  `ASSET_ADDED`
  `ASSET_ATTRIBUTE_ADDED`
  `ASSET_ATTRIBUTE_CHANGED`
  `ASSET_ATTRIBUTE_REMOVED`
  `ASSET_DISPLAY_NAME_CHANGED`
  `ASSET_DOMAIN_CHANGED`
  `ASSET_NAME_CHANGED`
  `ASSET_REMOVED`
  `ASSET_STATUS_CHANGED`
  `ASSET_TYPE_CHANGED`
  `CLASSIFICATION_MATCH_ACCEPTED`
  `CLASSIFICATION_MATCH_ADDED`
  `CLASSIFICATION_MATCH_REJECTED`
  `CLASSIFICATION_MATCH_REMOVED`
  `CLASSIFICATION_MATCH_UPDATED`
  `COMMENT_ADDED`
  `COMMENT_CHANGED`
  `COMMENT_REMOVED`
  `DATA_QUALITY_JOB_COMPLETED`
  `DATA_QUALITY_JOB_CONDITION`
  `DATA_QUALITY_JOB_FAILED`
  `DATA_QUALITY_MONITOR`
  `DATABASE_REGISTRATION_COMPLETED`
  `DATABASE_REGISTRATION_FAILED`
  `DOMAIN_ADDED`
  `DOMAIN_REMOVED`
  `RELATION_ADDED_AND_ASSET_IS_SOURCE`
  `RELATION_ADDED_AND_ASSET_IS_TARGET`
  `RELATION_REMOVED_AND_ASSET_WAS_SOURCE`
  `RELATION_REMOVED_AND_ASSET_WAS_TARGET`
  `ROLE_GRANTED`
  `ROLE_REVOKED`
  `TAG_ASSIGN_CHANGED`
  `USER_ADDED`
  `USER_DISABLED`
  `USER_REMOVED`
  `WORKFLOW_CANCELED`
  `WORKFLOW_STARTED`
  `WORKFLOW_TASK_COMPLETED`
  `WORKLFLOW_ESCALATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkflowStartEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WorkflowStartEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSET_ADDED

    public static final WorkflowStartEventType ASSET_ADDED

  - ### ASSET_REMOVED

    public static final WorkflowStartEventType ASSET_REMOVED

  - ### ASSET_STATUS_CHANGED

    public static final WorkflowStartEventType ASSET_STATUS_CHANGED

  - ### ASSET_DOMAIN_CHANGED

    public static final WorkflowStartEventType ASSET_DOMAIN_CHANGED

  - ### ASSET_TYPE_CHANGED

    public static final WorkflowStartEventType ASSET_TYPE_CHANGED

  - ### ASSET_ATTRIBUTE_CHANGED

    public static final WorkflowStartEventType ASSET_ATTRIBUTE_CHANGED

  - ### ASSET_NAME_CHANGED

    public static final WorkflowStartEventType ASSET_NAME_CHANGED

  - ### ASSET_DISPLAY_NAME_CHANGED

    public static final WorkflowStartEventType ASSET_DISPLAY_NAME_CHANGED

  - ### ASSET_ATTRIBUTE_ADDED

    public static final WorkflowStartEventType ASSET_ATTRIBUTE_ADDED

  - ### ASSET_ATTRIBUTE_REMOVED

    public static final WorkflowStartEventType ASSET_ATTRIBUTE_REMOVED

  - ### DOMAIN_ADDED

    public static final WorkflowStartEventType DOMAIN_ADDED

  - ### DOMAIN_REMOVED

    public static final WorkflowStartEventType DOMAIN_REMOVED

  - ### ROLE_GRANTED

    public static final WorkflowStartEventType ROLE_GRANTED

  - ### ROLE_REVOKED

    public static final WorkflowStartEventType ROLE_REVOKED

  - ### WORKFLOW_STARTED

    public static final WorkflowStartEventType WORKFLOW_STARTED

  - ### WORKFLOW_CANCELED

    public static final WorkflowStartEventType WORKFLOW_CANCELED

  - ### WORKLFLOW_ESCALATION

    public static final WorkflowStartEventType WORKLFLOW_ESCALATION

  - ### WORKFLOW_TASK_COMPLETED

    public static final WorkflowStartEventType WORKFLOW_TASK_COMPLETED

  - ### USER_ADDED

    public static final WorkflowStartEventType USER_ADDED

  - ### USER_REMOVED

    public static final WorkflowStartEventType USER_REMOVED

  - ### USER_DISABLED

    public static final WorkflowStartEventType USER_DISABLED

  - ### COMMENT_ADDED

    public static final WorkflowStartEventType COMMENT_ADDED

  - ### COMMENT_REMOVED

    public static final WorkflowStartEventType COMMENT_REMOVED

  - ### COMMENT_CHANGED

    public static final WorkflowStartEventType COMMENT_CHANGED

  - ### RELATION_ADDED_AND_ASSET_IS_SOURCE

    public static final WorkflowStartEventType RELATION_ADDED_AND_ASSET_IS_SOURCE

  - ### RELATION_REMOVED_AND_ASSET_WAS_SOURCE

    public static final WorkflowStartEventType RELATION_REMOVED_AND_ASSET_WAS_SOURCE

  - ### RELATION_ADDED_AND_ASSET_IS_TARGET

    public static final WorkflowStartEventType RELATION_ADDED_AND_ASSET_IS_TARGET

  - ### RELATION_REMOVED_AND_ASSET_WAS_TARGET

    public static final WorkflowStartEventType RELATION_REMOVED_AND_ASSET_WAS_TARGET

  - ### TAG_ASSIGN_CHANGED

    public static final WorkflowStartEventType TAG_ASSIGN_CHANGED

  - ### CLASSIFICATION_MATCH_ACCEPTED

    public static final WorkflowStartEventType CLASSIFICATION_MATCH_ACCEPTED

  - ### CLASSIFICATION_MATCH_REJECTED

    public static final WorkflowStartEventType CLASSIFICATION_MATCH_REJECTED

  - ### CLASSIFICATION_MATCH_ADDED

    public static final WorkflowStartEventType CLASSIFICATION_MATCH_ADDED

  - ### CLASSIFICATION_MATCH_REMOVED

    public static final WorkflowStartEventType CLASSIFICATION_MATCH_REMOVED

  - ### CLASSIFICATION_MATCH_UPDATED

    public static final WorkflowStartEventType CLASSIFICATION_MATCH_UPDATED

  - ### DATABASE_REGISTRATION_COMPLETED

    public static final WorkflowStartEventType DATABASE_REGISTRATION_COMPLETED

  - ### DATABASE_REGISTRATION_FAILED

    public static final WorkflowStartEventType DATABASE_REGISTRATION_FAILED

  - ### ASSESSMENT_COMPLETED

    public static final WorkflowStartEventType ASSESSMENT_COMPLETED

  - ### DATA_QUALITY_JOB_COMPLETED

    public static final WorkflowStartEventType DATA_QUALITY_JOB_COMPLETED

  - ### DATA_QUALITY_JOB_CONDITION

    public static final WorkflowStartEventType DATA_QUALITY_JOB_CONDITION

  - ### DATA_QUALITY_JOB_FAILED

    public static final WorkflowStartEventType DATA_QUALITY_JOB_FAILED

  - ### DATA_QUALITY_MONITOR

    public static final WorkflowStartEventType DATA_QUALITY_MONITOR

- ## Method Details

  - ### values

    public static WorkflowStartEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WorkflowStartEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null